/*******************************************************************************
 *
 * MODULE atto_yaffs.h
 *
 * DESCRIPTION Header file for all yaffs methods and configuration for Atto 
 *             products.
 *
 * THIS PROGRAM AND THE INFORMATION CONTAINED HEREIN IS THE PROPERTY OF
 * ATTO TECHNOLOGY, INC. AND SHALL NOT BE REPORDUCED, COPIED, OR USED IN
 * WHOLE OR IN PART OTHER THAN AS PROVIDED FOR IN THE LICENSE AGREEMENT
 * PURSUANT TO WHICH IT WAS FURNISHED.
 *
 * COPYRIGHT (c) ATTO TECHNOLOGY, INC, 2016
 * ALL RIGHTS RESERVED
 *
 ******************************************************************************/

#ifndef __ATTO_YAFFS_H__
#define __ATTO_YAFFS_H__

/* Return statuses */
#define ATTO_FAILURE					1
#define ATTO_SUCCESS					0
#define ATTO_YAFFS_ENOTMOUNTED			-1
#define ATTO_YAFFS_ENOTMTPOINT			-2

int atto_yaffs_log_is_locked(void);
int atto_yaffs_ls(char * filename);
void atto_yaffs_log_lock(void);
void atto_yaffs_log_unlock(void);
void atto_yaffs_log_append(const char *s);
int atto_yaffs_rm(char * filename);
void atto_yaffs_touch(char * filename);

#endif /* __ATTO_YAFFS_H__ */
